%% Problem 1 Evolution of Productivity
% z - productivity
% rho - autocorrelation parameter
% e - productivity shock
% sigmaSq_e - variance of productivity shock
clear;
clc;
close all;

sigmaSq_e = 0.02;

T = 100;                % time horizon
rho_z = 0.99;

% a)
e_t(1:T) = zeros(1,T);
z(1) = 10;              % initial value of the productivity

% b)
% e_t(1) = normrnd(0, sqrt(sigmaSq_e));
% e_t(2:T) = zeros(1,T-1);
% z(1) = e_t(1);

% c)
% e_t = normrnd(0, sqrt(sigmaSq_e), 1, T);
% z(1) = 10+e_t(1);
% zt(1) = 10;

for t = 2:T
    z(t) = rho_z*z(t-1) + e_t(t);
    zt(t) = rho_z*zt(t-1);
end

plot(1:T,z, 'b', 1:T, zt, 'r', 'LineWidth', 3);
xlabel('time')
ylabel('productivity')
grid
