%% Problem 2
clear
clc
close all

% ten initial parameters in the order 
% [rho, v, sigma, u, k, e, beta, i_init, x_init, pi_init]
parameters = [.9 0 2 0 -0.5 0 .7 .06 0.3 .05];
T = 5;

for t = 1:T
    systemSolution(t,:) = systemMacro(parameters);      % gives [i, x, pi]
    parameters(1,8:10) = systemSolution(t,:);           % overwrite parameters with new [i, x, pi]
end

% Plotting
% Creates a figure
f = figure;
plot(1:T, systemSolution(:,1));                        % plot of the interest rate
grid
xlabel('time');
ylabel('');
title('Evolution of Interest Rate over Time')
% Creates another figure and hold the previuos one
h = figure;
plot(1:T, systemSolution(:,2));                        % plot of the output
grid
xlabel('time');
ylabel('interest rate');
title('Evolution of Output over Time')
% 
g = figure;
plot(1:T, systemSolution(:,3));                        % plot of the inflation
grid
xlabel('time');
ylabel('Inflation');
title('Evolution of Inflation over Time')
